Subject: Re: bug#59842: [PATCH] Make proced-update Preserve Refinements

From: Eli Zaretskii <[email-masked]>
Date: Wed, 14 Dec 2022 16:55:05 +0200

> From: Laurence Warne <[email-masked]>
> Date: Thu, 8 Dec 2022 19:06:35 +0000
> Cc: [email-masked]
> 
> If it's helpful, I've attached a (seperate) patch containing a test suite (or at least the start of) for proced.el
> (though some parts are somewhat awkward - mainly testing the proced buffer contains strings we would
> expect - of course comments on the approach welcome), the last test there: 'proced-refine-with-update-test'
> fails without the original patch.  I didn't want to conflate the original patch with it, I can open a new report with it
> if you prefer.

I installed both on the master branch, and modified the tests so that
they could be run on more systems.

I'm therefore closing this bug.